commit:     592a1aa0bc10cc2c4c4bc085db6699ecb783f549
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sat May 12 15:22:39 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 12 18:12:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=592a1aa0

dev-python/inflect: bump to 0.3.1

Closes: https://github.com/gentoo/gentoo/pull/8367
Package-Manager: Portage-2.3.31, Repoman-2.3.9

 dev-python/inflect/Manifest             |  1 +
 dev-python/inflect/inflect-0.3.1.ebuild | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-python/inflect/Manifest b/dev-python/inflect/Manifest
index ee4ca012663..c481e1861e2 100644
--- a/dev-python/inflect/Manifest
+++ b/dev-python/inflect/Manifest
@@ -1 +1,2 @@
 DIST inflect-0.2.5.tar.gz 109756 BLAKE2B 
ecb64b0fea04602f112dfba11ade6828eae7a7f3f44d4c4fb15c2300ac18025ea4c51f9c36aae5e7e92bd09e24d08091ce096b888a520fd2d4c40374356333d5
 SHA512 
68371158ac90d9662c19657cbf697f44ee9ceac090286d53e29ee04252efbb7d0bfbd99ae6847e6eec1991ef4ef670eff60693d1f0a301885bab2a09c7ce4616
+DIST inflect-0.3.1.tar.gz 109456 BLAKE2B 
b57009a933f49762da315c55950ca20ad04a53559b1bd1fb7d8395bf4bfbb74b618eb1a0d0a0ca0f2b64adde93665fdf1f643f56299820ffe0c56a20f57237dc
 SHA512 
c832f0f36b56f5f59d8c3a7c0b128c0ae00f7a90c57f303e79a2118657ee7b62ed3db7cd4c3297e41a07c4d2bdbc18d6c754c319a43004af6d35cab3701169a6

diff --git a/dev-python/inflect/inflect-0.3.1.ebuild 
b/dev-python/inflect/inflect-0.3.1.ebuild
new file mode 100644
index 00000000000..4f9087fc108
--- /dev/null
+++ b/dev-python/inflect/inflect-0.3.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Correctly inflect words and numbers"
+HOMEPAGE="https://github.com/jazzband/inflect";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+       nosetests tests || die "tests failed with ${EPYTHON}"
+}

Reply via email to